Linux server1.hosting4iran.com 4.18.0-553.89.1.el8_10.x86_64 #1 SMP Mon Dec 8 03:53:08 EST 2025 x86_64
LiteSpeed
Server IP : 185.208.174.156 & Your IP : 216.73.216.218
Domains : 282 Domain
User : satitravel
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
libexec /
Delete
Unzip
Name
Size
Permission
Date
Action
awk
[ DIR ]
drwxr-xr-x
2023-11-28 12:27
cloud-init
[ DIR ]
drwxr-xr-x
2026-01-31 01:01
coreutils
[ DIR ]
drwxr-xr-x
2025-12-23 01:01
cpanel-pdns
[ DIR ]
drwxr-xr-x
2025-12-28 15:00
dbus-1
[ DIR ]
drwxr-xr-x
2025-12-21 17:05
dovecot
[ DIR ]
drwxr-xr-x
2026-02-17 01:02
fwupd
[ DIR ]
drwxr-xr-x
2025-12-21 17:05
gawk
[ DIR ]
drwxr-xr-x
2023-11-28 12:27
gcc
[ DIR ]
drwxr-xr-x
2025-08-26 09:44
getconf
[ DIR ]
drwxr-xr-x
2025-12-21 17:06
grubby
[ DIR ]
drwxr-xr-x
2025-12-21 17:06
hostname
[ DIR ]
drwxr-xr-x
2023-11-28 12:27
imunify-notifier
[ DIR ]
drwxr-xr-x
2023-12-23 09:51
initscripts
[ DIR ]
drwxr-xr-x
2025-11-04 09:19
installkernel
[ DIR ]
drwxr-xr-x
2025-12-21 17:06
linux-boot-probes
[ DIR ]
drwxr-xr-x
2026-01-31 01:01
man-db
[ DIR ]
drwxr-xr-x
2023-11-28 12:27
microcode_ctl
[ DIR ]
drwxr-xr-x
2026-02-12 01:01
nfs-utils
[ DIR ]
drwxr-xr-x
2025-12-21 17:06
openldap
[ DIR ]
drwxr-xr-x
2025-03-11 09:44
openssh
[ DIR ]
drwxr-xr-x
2025-12-23 01:01
os-prober
[ DIR ]
drwxr-xr-x
2026-01-31 01:01
os-probes
[ DIR ]
drwxr-xr-x
2026-01-31 01:01
p11-kit
[ DIR ]
drwxr-xr-x
2025-12-21 17:04
selinux
[ DIR ]
drwxr-xr-x
2025-12-21 17:05
smartmontools
[ DIR ]
drwxr-xr-x
2025-12-21 17:06
sssd
[ DIR ]
drwxr-xr-x
2026-02-12 01:01
sudo
[ DIR ]
drwxr-xr-x
2025-12-23 01:01
tuned
[ DIR ]
drwxr-xr-x
2025-12-21 17:06
udisks2
[ DIR ]
drwxr-xr-x
2025-12-21 17:05
utempter
[ DIR ]
drwxr-xr-x
2023-11-28 12:27
audit-functions
990
B
-rwxr-x---
2025-07-15 09:41
chrony-helper
7.17
KB
-rwxr-xr-x
2024-11-05 07:44
cockpit-askpass
45.41
KB
-rwxr-xr-x
2026-01-23 15:30
cockpit-certificate-ensure
24.81
KB
-rwxr-xr-x
2026-01-23 15:30
cockpit-certificate-helper
5.36
KB
-rwxr-xr-x
2026-01-23 15:30
cockpit-client
12.19
KB
-rwxr-xr-x
2025-12-01 08:40
cockpit-client.ui
4.13
KB
-rw-r--r--
2025-12-01 08:40
cockpit-desktop
4.57
KB
-rwxr-xr-x
2026-01-23 15:30
cockpit-session
57.16
KB
-rwsr-x---
2026-01-23 15:30
cockpit-ssh
127.35
KB
-rwxr-xr-x
2026-01-23 15:30
cockpit-tls
49.57
KB
-rwxr-xr-x
2026-01-23 15:30
cockpit-ws
283.09
KB
-rwxr-xr-x
2026-01-23 15:30
cockpit-wsinstance-factory
16.51
KB
-rwxr-xr-x
2026-01-23 15:30
dirmngr_ldap
87.33
KB
-rwxr-xr-x
2026-01-16 01:48
dnf-utils
3.62
KB
-rwxr-xr-x
2024-04-08 10:02
exim.daemon
758
B
-rwxr-xr-x
2026-02-03 18:25
generate-rndc-key.sh
546
B
-rwxr-xr-x
2025-11-06 07:45
glib-pacrunner
21.66
KB
-rwxr-xr-x
2019-10-31 15:15
gpg-check-pattern
111.91
KB
-rwxr-xr-x
2026-01-16 01:48
gpg-preset-passphrase
87.23
KB
-rwxr-xr-x
2026-01-16 01:48
gpg-protect-tool
206.38
KB
-rwxr-xr-x
2026-01-16 01:48
gpg-wks-client
227.23
KB
-rwxr-xr-x
2026-01-16 01:48
grepconf.sh
253
B
-rwxr-xr-x
2018-08-12 07:47
import-state
1.03
KB
-rwxr-xr-x
2025-09-23 08:27
loadmodules
233
B
-rwxr-xr-x
2025-09-23 08:27
nfsrahead
37.12
KB
-rwxr-xr-x
2025-06-04 10:54
nm-daemon-helper
12.6
KB
-rwxr-xr-x
2025-08-26 09:47
nm-dhcp-helper
16.2
KB
-rwxr-xr-x
2025-08-26 09:47
nm-dispatcher
66.16
KB
-rwxr-xr-x
2025-08-26 09:47
nm-initrd-generator
740.48
KB
-rwxr-xr-x
2025-08-26 09:47
no-python
157
B
-rwxr-xr-x
2026-02-05 20:05
packagekit-direct
105.54
KB
-rwxr-xr-x
2023-10-14 13:32
packagekitd
316.01
KB
-rwxr-xr-x
2023-10-14 13:32
pk-offline-update
32.97
KB
-rwxr-xr-x
2023-10-14 13:32
platform-python
11.59
KB
-rwxr-xr-x
2026-02-05 20:05
platform-python-config
204
B
-rwxr-xr-x
2026-02-05 20:05
platform-python3.6
11.59
KB
-rwxr-xr-x
2026-02-05 20:05
platform-python3.6-config
204
B
-rwxr-xr-x
2026-02-05 20:05
platform-python3.6m
11.59
KB
-rwxr-xr-x
2026-02-05 20:05
platform-python3.6m-config
204
B
-rwxr-xr-x
2026-02-05 20:05
platform-python3.6m-x86_64-config
3.54
KB
-rwxr-xr-x
2026-02-05 20:02
report-command-error
7.29
MB
-rwxr-xr-x
2023-10-23 12:58
run-with-intensity
9.14
MB
-rwxr-xr-x
2023-10-23 12:58
scdaemon
442.41
KB
-rwxr-xr-x
2026-01-16 01:48
tcawmgr.cgi
25.1
KB
-rwxr-xr-x
2019-10-13 01:22
virt-what-cpuid-helper
7.91
KB
-rwxr-xr-x
2023-10-14 20:52
xb-tool
24.78
KB
-rwxr-xr-x
2020-08-18 09:47
Save
Rename
#!/bin/bash # This script configures running chronyd to use NTP servers obtained from # DHCP and _ntp._udp DNS SRV records. Files with servers from DHCP are managed # externally (e.g. by a dhclient script). Files with servers from DNS SRV # records are updated here using the dig utility. The script can also list # and set static sources in the chronyd configuration file. chronyc=/usr/bin/chronyc chrony_conf=/etc/chrony.conf chrony_service=chronyd.service helper_dir=/run/chrony-helper added_servers_file=$helper_dir/added_servers network_sysconfig_file=/etc/sysconfig/network nm_servers_files="$helper_dir/nm-dhcp.*" dhclient_servers_files="/var/lib/dhclient/chrony.servers.*" dnssrv_servers_files="$helper_dir/dnssrv@*" dnssrv_timer_prefix=chrony-dnssrv@ . $network_sysconfig_file &> /dev/null chrony_command() { $chronyc -n -m "$@" } is_running() { chrony_command "tracking" &> /dev/null } get_servers_files() { [ "$PEERNTP" != "no" ] && echo "$nm_servers_files" [ "$PEERNTP" != "no" ] && echo "$dhclient_servers_files" echo "$dnssrv_servers_files" } is_update_needed() { for file in $(get_servers_files) $added_servers_file; do [ -e "$file" ] && return 0 done return 1 } remove_daemon_state() { rm -f $added_servers_file } update_daemon() { local all_servers_with_args all_servers added_servers if ! is_running; then remove_daemon_state return 0 fi all_servers_with_args=$(cat $(get_servers_files) 2> /dev/null) all_servers=$( echo "$all_servers_with_args" | while read -r server serverargs; do echo "$server" done | sort -u) added_servers=$( ( cat $added_servers_file 2> /dev/null echo "$all_servers_with_args" | while read -r server serverargs; do [ -z "$server" ] && continue chrony_command "add server $server $serverargs" &> /dev/null && echo "$server" done) | sort -u) comm -23 <(echo -n "$added_servers") <(echo -n "$all_servers") | while read -r server; do chrony_command -c sources -a 2>/dev/null | while IFS=, read -r type _ address _; do [ "$type" = "^" ] || continue [ "$(chrony_command "sourcename $address")" = "$server" ] || continue chrony_command "delete $address" &> /dev/null break done done added_servers=$(comm -12 <(echo -n "$added_servers") <(echo -n "$all_servers")) if [ -n "$added_servers" ]; then echo "$added_servers" > $added_servers_file else rm -f $added_servers_file fi } get_dnssrv_servers() { local name=$1 output if ! command -v dig &> /dev/null; then echo "Missing dig (DNS lookup utility)" >&2 return 1 fi output=$(dig "$name" srv +short +ndots=2 +search 2> /dev/null) || return 0 echo "$output" | while read -r _ _ port target; do server=${target%.} [ -z "$server" ] && continue echo "$server port $port ${NTPSERVERARGS:-iburst}" done } check_dnssrv_name() { local name=$1 if [ -z "$name" ]; then echo "No DNS SRV name specified" >&2 return 1 fi if [ "${name:0:9}" != _ntp._udp ]; then echo "DNS SRV name $name doesn't start with _ntp._udp" >&2 return 1 fi } update_dnssrv_servers() { local name=$1 local srv_file=$helper_dir/dnssrv@$name servers check_dnssrv_name "$name" || return 1 servers=$(get_dnssrv_servers "$name") if [ -n "$servers" ]; then echo "$servers" > "$srv_file" else rm -f "$srv_file" fi } set_dnssrv_timer() { local state=$1 name=$2 local srv_file=$helper_dir/dnssrv@$name servers local timer timer=$dnssrv_timer_prefix$(systemd-escape "$name").timer || return 1 check_dnssrv_name "$name" || return 1 if [ "$state" = enable ]; then systemctl enable "$timer" systemctl start "$timer" elif [ "$state" = disable ]; then systemctl stop "$timer" systemctl disable "$timer" rm -f "$srv_file" fi } list_dnssrv_timers() { systemctl --all --full -t timer list-units | grep "^$dnssrv_timer_prefix" | \ sed "s|^$dnssrv_timer_prefix\(.*\)\.timer.*|\1|" | while read -r name; do systemd-escape --unescape "$name" done } prepare_helper_dir() { mkdir -p $helper_dir exec 100> $helper_dir/lock if ! flock -w 20 100; then echo "Failed to lock $helper_dir" >&2 return 1 fi } is_source_line() { local pattern="^[ \t]*(server|pool|peer|refclock)[ \t]+[^ \t]+" [[ "$1" =~ $pattern ]] } list_static_sources() { while read -r line; do if is_source_line "$line"; then echo "$line" fi done < $chrony_conf } set_static_sources() { local new_config tmp_conf new_config=$( sources=$( while read -r line; do is_source_line "$line" && echo "$line" done) while read -r line; do if ! is_source_line "$line"; then echo "$line" continue fi tmp_sources=$( local removed=0 echo "$sources" | while read -r line2; do if [ "$removed" -ne 0 ] || [ "$line" != "$line2" ]; then echo "$line2" else removed=1 fi done) [ "$sources" == "$tmp_sources" ] && continue sources=$tmp_sources echo "$line" done < $chrony_conf echo "$sources" ) tmp_conf=${chrony_conf}.tmp cp -a $chrony_conf $tmp_conf && echo "$new_config" > $tmp_conf && mv $tmp_conf $chrony_conf || return 1 systemctl try-restart $chrony_service } print_help() { echo "Usage: $0 COMMAND" echo echo "Commands:" echo " create-helper-directory" echo " update-daemon" echo " remove-daemon-state" echo " update-dnssrv-servers NAME" echo " enable-dnssrv NAME" echo " disable-dnssrv NAME" echo " list-dnssrv" echo " list-static-sources" echo " set-static-sources < sources.list" echo " is-running" echo " command CHRONYC-COMMAND" } case "$1" in create-helper-directory) prepare_helper_dir ;; update-daemon|add-dhclient-servers|remove-dhclient-servers) is_update_needed || exit 0 prepare_helper_dir && update_daemon ;; remove-daemon-state) remove_daemon_state ;; update-dnssrv-servers) prepare_helper_dir && update_dnssrv_servers "$2" && update_daemon ;; enable-dnssrv) set_dnssrv_timer enable "$2" ;; disable-dnssrv) set_dnssrv_timer disable "$2" && prepare_helper_dir && update_daemon ;; list-dnssrv) list_dnssrv_timers ;; list-static-sources) list_static_sources ;; set-static-sources) set_static_sources ;; is-running) is_running ;; command|forced-command) chrony_command "$2" ;; *) print_help exit 2 esac exit $?